Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class SimpleEventFactoryImpl

    java.lang.Object
      |
      +--org.eclipse.hyades.logging.events.SimpleEventFactoryImpl

All Implemented Interfaces:
  ISimpleEventFactory

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public class SimpleEventFactoryImpl
extends java.lang.Object
implements ISimpleEventFactory

This is the concrete implementation of the SimpleEventFactory. It implements the ISimpleEventFactory interface. The SimpleEventFactory is a singleton as prescribed by the Abstract Factory pattern (Gamma et.al.). It contains simple constructors to build CommonBaseEvent and related complex type objects.

Since:
  1.0
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite, John K. Gerken

Method Summary
`ICommonBaseEventAnyElement` | `createAnyElement()` Deprecated. Method createAnyElement.
`IAssociatedEvent` | `createAssociatedEvent()` Deprecated. Method createAssociatedEvent.
`IAssociationEngine` | `createAssociationEngine()` Deprecated. Method IAssociationEngine.
`IAvailableSituation` | `createAvailableSituation()` Deprecated. Method createAvailableSituation.
`ICommonBaseEvent` | `createCommonBaseEvent()` Deprecated. Method createCommonBaseEvent.
`ICommonBaseEvent` | `createCommonBaseEvent(java.lang.String extensionName)` Deprecated. Method createCommonBaseEvent.
`ICommonBaseEvent` | `createCommonBaseEvent(java.lang.String extensionName, long creationTime)` Deprecated. Method createCommonBaseEvent.
`IComponentIdentification` | `createComponentIdentification()` Deprecated. Method createComponentIdentification.
`IConfigureSituation` | `createConfigureSituation()` Deprecated. Method createConfigureSituation.
`IConnectSituation` | `createConnectSituation()` Deprecated. Method createConnectSituation.
`IContextDataElement` | `createContextDataElement()` Deprecated. Method createContextDataElement.
`ICreateSituation` | `createCreateSituation()` Deprecated. Method createCreateSituation.
`IDependencySituation` | `createDependencySituation()` Deprecated. Method createDependencySituation.
`IDestroySituation` | `createDestroySituation()` Deprecated. Method createDestroySituation.
`IExtendedDataElement` | `createExtendedDataElement()` Deprecated. Method createExtendedDataElement.
`IFeatureSituation` | `createFeatureSituation()` Deprecated. Method createFeatureSituation.
`java.lang.String` | `createGlobalInstanceId()` Deprecated. Method createGlobalInstanceId.
`IMsgCatalogToken` | `createMsgCatalogToken()` Deprecated. Method IMsgCatalogToken.
`IMsgDataElement` | `createMsgDataElement()` Deprecated. Method createMsgDataElement.
`IOtherSituation` | `createOtherSituation()` Deprecated. Method createOtherSituation.
`IReportSituation` | `createReportSituation()` Deprecated. Method createReportSituation.
`IRequestSituation` | `createRequestSituation()` Deprecated. Method createRequestSituation.
`ISituation` | `createSituation()` Deprecated. Method createMsgDataElement.
`IStartSituation` | `createStartSituation()` Deprecated. Method createStartSituation.
`IStopSituation` | `createStopSituation()` Deprecated. Method createStopSituation.
`static ISimpleEventFactory` | `getInstance()` Deprecated. Method getInstance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createMsgCatalogToken

    public IMsgCatalogToken createMsgCatalogToken()

  Deprecated.
  Method IMsgCatalogToken. Create and return a concrete MsgCatalogToken object. Objects of this type are encapsulated into MsgDataElement objects.

  Specified by:
    `createMsgCatalogToken` in interface `ISimpleEventFactory`
  Returns:
    IMsgCatalogToken

### createAssociationEngine

    public IAssociationEngine createAssociationEngine()

  Deprecated.
  Method IAssociationEngine. Create and return a concrete AssociationEngine object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createAssociationEngine` in interface `ISimpleEventFactory`
  Returns:
    IAssociationEngine

### createCommonBaseEvent

    public ICommonBaseEvent createCommonBaseEvent()

  Deprecated.
  Method createCommonBaseEvent. Create and return a concrete CommonBaseEvent object.

  Specified by:
    `createCommonBaseEvent` in interface `ISimpleEventFactory`
  Returns:
    ICommonBaseEvent

### createExtendedDataElement

    public IExtendedDataElement createExtendedDataElement()

  Deprecated.
  Method createExtendedDataElement. Create and return a concrete ExtendedDataElement object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createExtendedDataElement` in interface `ISimpleEventFactory`
  Returns:
    IExtendedDataElement

### createAssociatedEvent

    public IAssociatedEvent createAssociatedEvent()

  Deprecated.
  Method createAssociatedEvent. Create and return a concrete AssociatedEvent object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createAssociatedEvent` in interface `ISimpleEventFactory`
  Returns:
    IAssociatedEvent

### createContextDataElement

    public IContextDataElement createContextDataElement()

  Deprecated.
  Method createContextDataElement. Create and return a concrete ContextDataElement object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createContextDataElement` in interface `ISimpleEventFactory`
  Returns:
    IContextDataElement

### createAnyElement

    public ICommonBaseEventAnyElement createAnyElement()

  Deprecated. Use the otherData as of 1.0.1.

  Description copied from interface: `ISimpleEventFactory`
  Method createAnyElement. Create and return a concrete AnyElement object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createAnyElement` in interface `ISimpleEventFactory`
  Returns:
    ICommonBaseEventAnyElement
  See Also:
    `ISimpleEventFactory.createAnyElement()`

### createComponentIdentification

    public IComponentIdentification createComponentIdentification()

  Deprecated.
  Method createComponentIdentification. Create and return a concrete ComponentIdentification object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createComponentIdentification` in interface `ISimpleEventFactory`
  Returns:
    IComponentIdentification

### createMsgDataElement

    public IMsgDataElement createMsgDataElement()

  Deprecated.
  Method createMsgDataElement. Create and return a concrete MsgDataElement object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createMsgDataElement` in interface `ISimpleEventFactory`
  Returns:
    IMsgDataElement

### createSituation

    public ISituation createSituation()

  Deprecated.
  Method createMsgDataElement. Create and return a concrete Situation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createSituation` in interface `ISimpleEventFactory`
  Returns:
    ISituation
  Since:
    1.0.1
  See Also:
    `ISimpleEventFactory.createSituation()`

### createStartSituation

    public IStartSituation createStartSituation()

  Deprecated.
  Method createStartSituation. Create and return a concrete StartSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createStartSituation` in interface `ISimpleEventFactory`
  Returns:
    IStartSituation
  Since:
    1.0.1
  See Also:
    `ISimpleEventFactory.createStartSituation()`

### createStopSituation

    public IStopSituation createStopSituation()

  Deprecated.
  Method createStopSituation. Create and return a concrete StopSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createStopSituation` in interface `ISimpleEventFactory`
  Returns:
    IStopSituation
  Since:
    1.0.1
  See Also:
    `ISimpleEventFactory.createStopSituation()`

### createConnectSituation

    public IConnectSituation createConnectSituation()

  Deprecated.
  Method createConnectSituation. Create and return a concrete ConnectSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createConnectSituation` in interface `ISimpleEventFactory`
  Returns:
    IConnectSituation
  Since:
    1.0.1
  See Also:
    `ISimpleEventFactory.createConnectSituation()`

### createReportSituation

    public IReportSituation createReportSituation()

  Deprecated.
  Method createReportSituation. Create and return a concrete ReportSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createReportSituation` in interface `ISimpleEventFactory`
  Returns:
    IReportSituation
  Since:
    1.0.1
  See Also:
    `ISimpleEventFactory.createReportSituation()`

### createFeatureSituation

    public IFeatureSituation createFeatureSituation()

  Deprecated.
  Method createFeatureSituation. Create and return a concrete FeatureSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createFeatureSituation` in interface `ISimpleEventFactory`
  Returns:
    IFeatureSituation
  Since:
    1.0.1
  See Also:
    `ISimpleEventFactory.createFeatureSituation()`

### createConfigureSituation

    public IConfigureSituation createConfigureSituation()

  Deprecated.
  Method createConfigureSituation. Create and return a concrete ConfigureSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createConfigureSituation` in interface `ISimpleEventFactory`
  Returns:
    IConfigureSituation
  Since:
    1.0.1
  See Also:
    `ISimpleEventFactory.createConfigureSituation()`

### createDependencySituation

    public IDependencySituation createDependencySituation()

  Deprecated.
  Method createDependencySituation. Create and return a concrete DependencySituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createDependencySituation` in interface `ISimpleEventFactory`
  Returns:
    IDependencySituation
  Since:
    1.0.1
  See Also:
    `ISimpleEventFactory.createDependencySituation()`

### createCreateSituation

    public ICreateSituation createCreateSituation()

  Deprecated.
  Method createCreateSituation. Create and return a concrete CreateSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createCreateSituation` in interface `ISimpleEventFactory`
  Returns:
    ICreateSituation
  Since:
    1.0.1
  See Also:
    `ISimpleEventFactory.createCreateSituation()`

### createDestroySituation

    public IDestroySituation createDestroySituation()

  Deprecated.
  Method createDestroySituation. Create and return a concrete DestroySituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createDestroySituation` in interface `ISimpleEventFactory`
  Returns:
    IDestroySituation
  Since:
    1.0.1
  See Also:
    `ISimpleEventFactory.createDestroySituation()`

### createAvailableSituation

    public IAvailableSituation createAvailableSituation()

  Deprecated.
  Method createAvailableSituation. Create and return a concrete AvailableSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createAvailableSituation` in interface `ISimpleEventFactory`
  Returns:
    IAvailableSituation
  Since:
    1.0.1
  See Also:
    `ISimpleEventFactory.createAvailableSituation()`

### createRequestSituation

    public IRequestSituation createRequestSituation()

  Deprecated.
  Method createRequestSituation. Create and return a concrete RequestSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createRequestSituation` in interface `ISimpleEventFactory`
  Returns:
    IRequestSituation
  Since:
    1.0.1
  See Also:
    `ISimpleEventFactory.createRequestSituation()`

### createOtherSituation

    public IOtherSituation createOtherSituation()

  Deprecated.
  Method createOtherSituation. Create and return a concrete OtherSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Specified by:
    `createOtherSituation` in interface `ISimpleEventFactory`
  Returns:
    IOtherSituation
  Since:
    1.0.1
  See Also:
    `ISimpleEventFactory.createOtherSituation()`

### getInstance

    public static ISimpleEventFactory getInstance()

  Deprecated.
  Method getInstance. Accessor method to retrieve the instance of the singleton factory.

  Returns:
    SimpleEventFactoryImpl

### createCommonBaseEvent

    public ICommonBaseEvent createCommonBaseEvent(java.lang.String extensionName,
                                                  long creationTime)

  Deprecated.
  Description copied from interface: `ISimpleEventFactory`
  Method createCommonBaseEvent. Create and return a concrete CommonBaseEvent object.

  Specified by:
    `createCommonBaseEvent` in interface `ISimpleEventFactory`
  Returns:
    ICommonBaseEvent
  See Also:
    `ISimpleEventFactory.createCommonBaseEvent(java.lang.String, long)`

### createCommonBaseEvent

    public ICommonBaseEvent createCommonBaseEvent(java.lang.String extensionName)

  Deprecated.
  Description copied from interface: `ISimpleEventFactory`
  Method createCommonBaseEvent. Create and return a concrete CommonBaseEvent object.

  Specified by:
    `createCommonBaseEvent` in interface `ISimpleEventFactory`
  Returns:
    ICommonBaseEvent
  See Also:
    `ISimpleEventFactory.createCommonBaseEvent(java.lang.String)`

### createGlobalInstanceId

    public java.lang.String createGlobalInstanceId()

  Deprecated.
  Description copied from interface: `ISimpleEventFactory`
  Method createGlobalInstanceId. Create and return a Global Instance ID (GUID).

  Specified by:
    `createGlobalInstanceId` in interface `ISimpleEventFactory`
  Returns:
    String
  See Also:
    `ISimpleEventFactory.createGlobalInstanceId()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD